Query risk fraud for order specify
GET https://{handle}.myshopline.com/admin/openapi/v20261201/orders/v2/:order_id/risks/:risk_id.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Path Parameters
- order_id string requiredOrder idExample:
"21056863763067384710591058" - risk_id string requiredRisk idExample:
"2905687834858288060687"
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
riskobject
Risk informationrecommendation stringFraud risk rating : cancel ( high risk ) 、investigate ( medium risk ) 、accept ( low risk )Example:"cancel"source stringSource logo , Internal- internal 、External- externalExample:"External"order_id stringOrder serial numberExample:"21056646934598417162363882"display booleanShow the logo on the detail page , true- display , false- not display or notExample:trueid stringRisk idExample:"2905664692071577423886"risk_detail_msg_listobject[]
Fraud risk nodemessage stringFraud risk node detailsExample:"risk detail message"risk_detail_level stringFraud risk details class : cancel ( high risk ) 、investigate ( medium risk ) 、accept ( low risk )Example:cancelscore stringFraud risk score , 0-1 , 1 score the highest risk scoreExample:"1.0"cause_cancel booleanCancel order logo , true- cancel , false- do not cancelExample:truecheckout_id stringOrder associated discard idExample:"2405664692071577423882"
API Explorer
Debugger
Was this article helpful to you?